Agents / REST API

List recent agent runs

Paginated activity log of recent agent wake-ups in the workspace. Each row is one agent run with status, tool-call count, tokens used, and cost. Filter by agentRole. Read-only.

GET /api/agents/runs/recentDeterministic operation

Parameters

workspaceIdOptional · string
See the input schema for this field.
agentRoleOptional · string
See the input schema for this field.scout · researcher · writer · closer · coach
limitOptional · number
Max rows (1-100, default 20).
Request example
curl -X GET "https://app.pipeline.help/api/agents/runs/recent" \
  -H "Authorization: Bearer $PIPELINE_API_KEY"
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string"
    },
    "agentRole": {
      "type": "string",
      "enum": [
        "scout",
        "researcher",
        "writer",
        "closer",
        "coach"
      ]
    },
    "limit": {
      "type": "number",
      "description": "Max rows (1-100, default 20)."
    }
  }
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview